/*	scan.h

	AFAPI scan (parallel prefix) function declarations.

	July 1996 by H. Dietz
*/


#ifndef _P_SCAN_H
#define _P_SCAN_H


#define	P_DECLARE(suffix) \
extern p_##suffix \
p_scanAnd##suffix(register p_##suffix datum);
P_BETA

#undef	P_DECLARE

#define	P_DECLARE(suffix) \
extern p_##suffix \
p_scanOr##suffix(register p_##suffix datum);
P_BETA

#undef	P_DECLARE

#define	P_DECLARE(suffix) \
extern p_##suffix \
p_scanXor##suffix(register p_##suffix datum);
P_BETA

#undef	P_DECLARE

#define	P_DECLARE(suffix) \
extern p_##suffix \
p_scanMin##suffix(register p_##suffix datum);
P_ALPHA

#undef	P_DECLARE

#define	P_DECLARE(suffix) \
extern p_##suffix \
p_scanMax##suffix(register p_##suffix datum);
P_ALPHA

#undef	P_DECLARE

#define	P_DECLARE(suffix) \
extern p_##suffix \
p_scanAdd##suffix(register p_##suffix datum);
P_GAMMA

#undef	P_DECLARE

#define	P_DECLARE(suffix) \
extern p_##suffix \
p_scanMul##suffix(register p_##suffix datum);
P_GAMMA

#undef	P_DECLARE


#endif
